PreflowDefaultTraits< GR, CAP > Struct Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Static Public Member Functions
PreflowDefaultTraits< GR, CAP > Struct Template Reference

## Detailed Description

### template<typename GR, typename CAP>
struct lemon::PreflowDefaultTraits< GR, CAP >

Default traits class of Preflow class.

Template Parameters

  GR | Digraph type.
  CAP | Capacity map type.

`#include <lemon/preflow.h>`

## Public Types
typedef GR | Digraph
| The type of the digraph the algorithm runs on.
typedef CAP | CapacityMap
| The type of the map that stores the arc capacities. More...
typedef CapacityMap::Value | Value
| The type of the flow values.
typedef GR::ArcMap< Value > | FlowMap
| The type of the map that stores the flow values. More...
typedef lemon::Elevator< GR, GR::Node > | Elevator
| The elevator type used by Preflow algorithm. More...
typedef lemon::Tolerance< Value > | Tolerance
| The tolerance used by the algorithm. More...

## Static Public Member Functions
static FlowMap * | createFlowMap (const Digraph &digraph)
| Instantiates a FlowMap. More...
static Elevator * | createElevator (const Digraph &digraph, int max_level)
| Instantiates an Elevator. More...

## Member Typedef Documentation

typedef CAP CapacityMap

The type of the map that stores the arc capacities. It must meet the ReadMap concept.

typedef GR::ArcMap<Value> FlowMap

The type of the map that stores the flow values. It must meet the ReadWriteMap concept.

typedef lemon::Elevator<GR, GR::Node> Elevator

The elevator type used by Preflow algorithm.

See Also
  Elevator, LinkedElevator

typedef lemon::Tolerance<Value> Tolerance

The tolerance used by the algorithm to handle inexact computation.

## Member Function Documentation

static FlowMap* createFlowMap | ( | const Digraph & | digraph | ) |
| inlinestatic

This function instantiates a FlowMap.

Parameters

  digraph | The digraph for which we would like to define the flow map.

static Elevator* createElevator | ( | const Digraph & | digraph,
|  | int | max_level
| ) |  |
| inlinestatic

This function instantiates an Elevator.

Parameters

  digraph | The digraph for which we would like to define the elevator.
  max_level | The maximum level of the elevator.